QGIS Application - Bug report #10010
In Interpolation tool use z-coordinate should be unchecked before disable it
2014-04-07 07:58 AM - Luca Casagrande

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18498
Description

Test data:

https://dl.dropboxusercontent.com/u/348430/QGIS/test-data.zip

1. Load both data inside QGIS and start interpolation tool
2. Choose entities layer and check use Z-coordinates for interpolation
3. Choose points layer and select column elev

The use Z-coordinate for interpolation is disabled (because the points layer is not 3d), but the checkbox is still checked.

This force the use of Z-coordinates.

This option should be unchecked before disable it.

Associated revisions

Revision 12252030 - 2017-05-01 12:00 PM - Alexander Bruy

[processing] uncheck Z-coordinate on layer change in Interpolation
algorithm (fix #10010)

History

#1 - 2017-02-09 12:47 PM - Alexander Bruy

- Priority changed from Low to Normal

- Operating System deleted (Linux)

- Category changed from Rasters to Processing/QGIS

#2 - 2017-05-01 01:08 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#3 - 2017-05-01 12:00 PM - Alexander Bruy

- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|12252030ac3e06ff9cc7eb86152f6068af267b94.
